(document:surround "/std/frame")

(define (write-data commit)
  (woo-catch/message (thunk
    (woo-write "/lilo/source"
      'source (lilo-conf text)
      'liloopts (lilo-opts text))
    (if commit (woo-write "/lilo/commit" 'confonly (config-only state)) ))))

(define (read-data)
  (woo-catch/message (thunk
    (let ((data (woo-read-first "lilo/source")))
      (lilo-conf text (woo-get-option data 'source))
      (lilo-opts text (woo-get-option data 'liloopts)) ))))

(define (change url)
  (and (write-data #f) (frame:replace url)))

(gridbox columns "0;100;0;0;0" align "top"
  (document:id config-only
    (checkbox (_ "Don't install bootloader") state #f))
  (spacer)
  (button (_ "Simple mode") (when clicked (change "/lilo")))
  (button (_ "Expert mode") (when clicked (change "/lilo/expert")))
  (button (_ "Edit lilo.conf") activity #f)
)

(document:id lilo-conf (textbox))

(gridbox columns "0;100" align 'bottom
  (label (_ "Lilo options:"))
  (document:id lilo-opts (edit)))

(gridbox columns "50;0;0;50" align "top"
  (spacer)
  (button (_ "Apply") (when clicked (write-data #t)))
  (button (_ "Reset") (when clicked (read-data)))
  (spacer))

(and (global 'frame:next)
  (frame:on-next (thunk (or (write-data #t) 'cancel))))

(document:root (when loaded
  (and (global 'frame:next) (frame:back-activity #f))
  (read-data)))
